import { TabbedContent } from "./TabbedContent.js";
import { TabStrip } from "./TabStrip.js";
import LayoutViewBase from "../LayoutViewBase.js";
export class TabbedLayoutView extends LayoutViewBase {
    template() {
        return `
            <div class="-feature-blend-layout-tabbed">
                <div role="nav"></div>
                <div role="contents"></div>
            </div>
        `;
    }
    onLoadModel() {
        this.m_tabStrip = new TabStrip({
            insertAt: "[role=nav]",
            eventBus: this.eventBus
        });
        this.controls.add(this.m_tabStrip);
        this.m_content = new TabbedContent({
            insertAt: "[role=contents]",
            eventBus: this.eventBus,
            source: this.model.context.featureSet
        });
        this.controls.add(this.m_content);
        this.m_tabStrip.load(this.model);
    }
}
